PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- cholesky_band

# cholesky_band

pydl.pydlutils.bspline.cholesky_band(l, mininf=0.0)

  Compute lower Cholesky decomposition of a banded matrix.

  This function provides informative error messages to pass back to the `bspline` machinery; the actual computation is delegated to `scipy.linalg.cholesky_banded()`.

  Parameters:
    l `numpy.ndarray`

      A matrix on which to perform the Cholesky decomposition. The matrix must be in a special, lower form described in `scipy.linalg.cholesky_banded()`. In addition, the input must be padded. If the original, square matrix has size \(N \times N\), and the width of the band is \(b\), `l` must be \(b \times (N + b)\).

    mininf `float`, optional

      Entries in the `l` matrix are considered negative if they are less than this value (default 0.0).

  Returns:
    `tuple`

      If problems were detected, the first item will be the index or indexes where the problem was detected, and the second item will simply be the input matrix. If no problems were detected, the first item will be -1, and the second item will be the Cholesky decomposition.